# $Revision: 1.47 $, $Date: 2011/01/04 22:45:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Zip
Summary:	Archive::Zip - module for manipulation of ZIP archives
Summary(pl.UTF-8):	Archive::Zip - moduł do manipulacji archiwami ZIP
Name:		perl-Archive-Zip
Version:	1.30
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Archive/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	40153666e7538b410e001aa8a810e702
URL:		http://search.cpan.org/dist/Archive-Zip/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Compress-Zlib >= 1.14
BuildRequires:	perl-File-Which >= 0.05
BuildRequires:	perl-Test-Simple >= 0.42
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Archive::Zip module allows a Perl program to create, manipulate,
read, and write ZIP archive files.

%description -l pl.UTF-8
Moduł Archive::Zip udostępnia programom w Perlu możliwość tworzenia,
manipulowania, czytania i zapisywania archiwów ZIP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/crc32
%dir %{perl_vendorlib}/Archive/Zip
%{perl_vendorlib}/Archive/Zip/*.pm
%{perl_vendorlib}/Archive/Zip.pm
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Archive-Zip.spec,v $
Revision 1.47  2011/01/04 22:45:40  shadzik
- rel 2

Revision 1.46  2009/09/06 16:57:20  amateja
- updated to 1.30

Revision 1.45  2009/06/15 08:56:56  amateja
- updated to 1.26

Revision 1.44  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.42  2006/12/21 23:43:49  qboosh
- updated to 1.18, release 1

Revision 1.41  2006/01/22 12:39:43  agaran
- up to 1.16 rel 0.1

Revision 1.40  2005/10/28 07:26:36  hawk
- release 3 (2 went to Ra)

Revision 1.39  2005/05/30 11:56:40  qboosh
- unified bcond header

Revision 1.38  2004/11/03 19:42:57  paladine
- formatting

Revision 1.37  2004/11/01 18:42:18  adamg
- updated to 1.14

Revision 1.36  2004/09/02 13:22:24  misi3k
- updated to 1.13

Revision 1.35  2004/07/11 20:44:27  adamg
- updated to 1.12

Revision 1.34  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.33  2004/05/06 18:09:14  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.31  2004/03/28 15:03:46  adamg
- updated to 1.10

Revision 1.30  2003/12/01 16:34:21  migo
- up to 1.09

Revision 1.29  2003/10/22 20:14:10  migo
- up to 1.08
- new bcond style

Revision 1.28  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/07/24 21:31:19  adamg
- updated to 1.06

Revision 1.25  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:25:59  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/09/12 22:19:49  radek
- version 1.05 (I'd call it a... ,,special kind'' of improvement. :-/ )

Revision 1.18  2002/09/11 10:47:45  radek
- enabled tests

Revision 1.17  2002/09/10 17:19:58  kloczek
- relaly updated to 1.03.

Revision 1.16  2002/09/08 11:03:23  radek
- version 1.03
- provided informative summary/description
- fixed License field
- added Changes file and examples

Revision 1.15  2002/08/26 19:07:53  ankry
- updated to 1.02; typos

Revision 1.14  2002/07/11 09:46:06  qboosh
- new %%doc

Revision 1.13  2002/07/11 07:56:56  depesz
- new version; should work; STBR

Revision 1.12  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 20:58:30  areq
- 1.00, STBR

Revision 1.10  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.8  2002/02/24 23:29:03  kloczek
- cosmetics.

Revision 1.7  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:05:23  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:53:12  depesz
wrong file extension

Revision 1.3  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
